QDataPump(3qt)

NAME
QDataPump - Moves data from a QDataSource to a QDataSink during event processing

SYNOPSIS

#include <qasyncio.h>

Inherits QObject.

  Public Members
QDataPump ( QDataSource *, QDataSink * )

DESCRIPTION
Moves data from a QDataSource to a QDataSink during event processing.

For a QDataSource to provide data to a QDataSink, a controller must exist to examine the QDataSource::readyToSend() and QDataSink::readyToReceive() methods and respond to the QASyncIO::activate() signal of the source and sink. One very useful way to do this is interleaved with other event processing. QDataPump provides this - create a pipe between a source and a sink, and data will be moved during subsequent event processing.

Note that each source can only provide data to one sink and each sink can only receive data from one source (although it is quite possible to write a multiplexing sink that is multiple sources).

MEMBER FUNCTION DOCUMENTATION

QDataPump::QDataPump ( QDataSource * data_source, QDataSink * data_sink )
Creates a QDataPump to move data from a given data_source to a given data_sink.

SEE ALSO
http://www.troll.no/qt/qdatapump.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.